PR=1001
PV=601
IX=501
TIME=

BIN1=../tools/ctsimtext
BIN2=../tools/single/ctsimtext

echo -n "$BIN1 Prj: "; $TIME $BIN1 phm2pj ~/herman-omp.pj $PR $PV --phantom herman --verbose | tail -1
echo -n "$BIN2 Prj: "; $TIME $BIN2 phm2pj ~/herman-s.pj   $PR $PV --phantom herman --verbose| tail -1

for BP in idiff diff; do
    for INT in nearest linear cubic; do
               
        echo -n "$BIN1 Rec $BP $INT: "; $TIME $BIN1 pjrec ~/herman-omp.pj ~/rec-omp.if $IX $IX --verbose --interp $INT --backproj $BP | tail -1
        echo -n "$BIN2 Rec $BP $INT: "; $TIME $BIN2 pjrec ~/herman-s.pj   ~/rec-s.if   $IX $IX --verbose --interp $INT --backproj $BP| tail -1
        echo -n "--> Image diff Rec $BP $INT: "; $BIN1 if2 ~/rec-omp.if ~/rec-s.if --comp
        echo
    done
done

echo -n "$BIN1 Phm: "; $TIME $BIN1 phm2if ~/phm-omp.if $IX $IX --phantom herman --nsample 5 --verbose | tail -1
echo -n "$BIN2 Phm: "; $TIME $BIN2 phm2if ~/phm-s.if   $IX $IX --phantom herman --nsample 5 --verbose | tail -1
echo -n "--> Image diff Phantom: "; $BIN1 if2 ~/phm-omp.if ~/phm-s.if --comp
